librevenge::RVNGPropertyFactory Class Reference documentation

Static Public Member Functions | List of all members
librevenge::RVNGPropertyFactory Class Reference

`#include <RVNGProperty.h>`

## Static Public Member Functions
static RVNGProperty * | newStringProp (const RVNGString &str)
static RVNGProperty * | newStringProp (const char *str)
static RVNGProperty * | newBinaryDataProp (const RVNGBinaryData &data)
static RVNGProperty * | newBinaryDataProp (const unsigned char *buffer, const unsigned long bufferSize)
static RVNGProperty * | newIntProp (const int val)
static RVNGProperty * | newBoolProp (const bool val)
static RVNGProperty * | newDoubleProp (const double val)
static RVNGProperty * | newInchProp (const double val)
static RVNGProperty * | newPercentProp (const double val)
static RVNGProperty * | newPointProp (const double val)
static RVNGProperty * | newTwipProp (const double val)

## Member Function Documentation

## ◆ newBinaryDataProp() [1/2]

RVNGProperty * librevenge::RVNGPropertyFactory::newBinaryDataProp | ( | const RVNGBinaryData & | data | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert(), and librevenge::RVNGPropertyList::insert().

## ◆ newBinaryDataProp() [2/2]

RVNGProperty * librevenge::RVNGPropertyFactory::newBinaryDataProp | ( | const unsigned char * | buffer,
|  | const unsigned long | bufferSize )
| static

## ◆ newBoolProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newBoolProp | ( | const bool | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newDoubleProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newDoubleProp | ( | const double | val | ) |
| static

Referenced by librevenge::DrawingSVG::doubleToString(), librevenge::PresentationSVG::doubleToString(), and librevenge::RVNGPropertyList::insert().

## ◆ newInchProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newInchProp | ( | const double | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newIntProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newIntProp | ( | const int | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newPercentProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newPercentProp | ( | const double | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newPointProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newPointProp | ( | const double | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newStringProp() [1/2]

RVNGProperty * librevenge::RVNGPropertyFactory::newStringProp | ( | const char * | str | ) |
| static

## ◆ newStringProp() [2/2]

RVNGProperty * librevenge::RVNGPropertyFactory::newStringProp | ( | const RVNGString & | str | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ newTwipProp()

RVNGProperty * librevenge::RVNGPropertyFactory::newTwipProp | ( | const double | val | ) |
| static

Referenced by librevenge::RVNGPropertyList::insert().

The documentation for this class was generated from the following files:

- RVNGProperty.h
- RVNGProperty.cpp